<?php
	$dir = $_SERVER['DOCUMENT_ROOT']."/".substr(substr($_SERVER['REQUEST_URI'], 1), 0, strpos(substr($_SERVER['REQUEST_URI'], 1), '/'))."/phone_gap";
	require_once($dir."/classes/Familia.class.php");
	require_once($dir."/classes/Grupo.class.php");
	require_once($dir."/classes/Subgrupo.class.php");
	
	class Produto {
		
		private $codproduto;
		private $produto;
		private $grupo;
		private $subgupo;
		private $familia;

		public function __construct() {
			$this->setCodproduto("");
			$this->setProduto("");
			$this->setGrupo(new Grupo());
			$this->setSubgrupo(new Subgrupo());
			$this->setFamilia(new Familia());
		}
		
		public function getCodproduto(){
			return $this->codproduto;
		}

		public function setCodproduto($codproduto){
			$this->codproduto = $codproduto;
		}

		public function getProduto(){
			return $this->produto;
		}

		public function setProduto($produto){
			$this->produto = $produto;
		}

		public function getGrupo(){
			return $this->grupo;
		}

		public function setGrupo($grupo){
			$this->grupo = $grupo;
		}

		public function getSubgrupo(){
			return $this->subgrupo;
		}

		public function setSubgrupo($subgrupo){
			$this->subgrupo = $subgrupo;
		}

		public function getFamilia(){
			return $this->familia;
		}

		public function setFamilia($familia){
			$this->familia = $familia;
		}

	}
	
?>